unit Local;

interface

uses DatabaseWin, Main, PGNWin, BrettWin, About, PGNSave, MoveCut, Comment;

const LO_German = 0;
      LO_English = 1;
      {Fr neue Sprache LO_MessDim erhhen und im LOMess-Array ergnzen sowie case-Block in allen LOLoad...-Proz. erweitern}
      LO_MessDim = 2;
      LO_MessMax = 22;

      LO_Handeltessich              = 0;
      LO_Speichern                  = 1;
      LO_Bitteoeffnen               = 2;
      LO_facheStellungswiederholung = 3;
      LO_ZuegeRegel                 = 4;
      LO_Weiter                     = 5;
      LO_RECHTEMAUSTASTE            = 6;
      LO_BittewaehlenSie            = 7;
      LO_SolldiePGNDatei            = 8;
      LO_neuangelegtwerden          = 9;
      LO_Wirklichloeschen           =10;
      LO_SolldiegesamteDatenbank    =11;
      LO_AusdieserDatenbank         =12;
      LO_DieDatei                   =13;
      LO_istmoeglicherweise         =14;
      LO_DieDatenbank               =15;
      LO_istbereits                 =16;
      LO_MarkiertePartien           =17;
      LO_angehaengt                 =18;
      LO_Speicherfehler             =19;
      LO_LadeFehler                 =20;
      LO_SaveQuestion               =21;

Var   LO_lng : integer;
      LOMess : array[0..LO_MessMax - 1, 0..LO_MessDim - 1] of string =
      (('Handelt es sich bei der neuen Stellung um eine ' +
        'Fischer-Random-Chess-Ausgangsstellung?' + #13 +
        '(Wenn nicht, mssen alle Rochaderechte zurckgesetzt werden)',
        'Is this the first position of a Fischer-Random-Chess game?' + #13 +
        'If you choose "No", there will be reseted castling possibilities.'),{0}
        ('Speichern',
        'Save'),{1}
        ('Bitte ffnen Sie zuerst eine Datenbank, in der diese Partie gespeichert werden soll.',
        'Please open a database first.'),{2}
        ('3-fache Stellungswiederholung.',
        'Same position has been occurred three times.'),{3}
        ('50-Zge-Regel.',
        '50-moves-rule.'),{4}
        ('Weiter',
        'Resume'),{5}
        ('RECHTE MAUSTASTE ZUM WEITERRECHNEN',
        'RIGHT MOUSE BUTTOM TO RESUME'),{6}
        ('Bitte whlen Sie eine Datenbank, in der diese Partie gespeichert werden soll.',
        'Please choose a database first.'),{7}
        ('Soll die PGN-Datei "',
        'Create new file "'),{8}
        ('" neu angelegt werden?',
        '"?'),{9}
        ('Wirklich lschen?',
        'Delete game. Are you sure?'),{10}
        ('Soll die gesamte Datenbank wirklich gelscht werden?',
        'Delete this database. Are you sure??'),{11}
        ('Aus dieser Datenbank sind noch Partien geffnet.' + #13 +
         'Wird sie geschlossen, mssen Sie diese Partien an diese oder eine andere Datenbank anhngen.' + #13 +
         'Soll sie trotzdem geschlossen werden?',
        'Games opened of this database.' + #13 +
        'If you close it, the games must append to this or another database later.' + #13 +
        'Close this database?'),{12}
        ('Die Datei "',
        'The file "'),{13}
        ('" ist mglicherweise die Partiendatei des Programmes MAILCHESS.' + #13 +
         'Falls dem so ist, sollte sie nicht verndert und der Ladevorgang abgebrochen werden.' + #13 +
         #13 + 'Soll der Ladevorgang abgebrochen werden?',
        '" is propably a game file of MAILCHESS.' + #13 +
        'In this case you should not change it.' + #13 +
        'Abort loading?'),{14}
        ('Die Datenbank "',
        'The database "'),{15}
        ('" ist bereits geffnet.',
        '" is already opened.'),{16}
        ('Markierte Partien werden an die Datei "',
        'Selected games will be appended to "'),{17}
        ('" angehngt.' + #13 + 'Fortfahren?',
        '".' + #13 + 'Continue?'),{18}
        ('Beim Speichern ist ein Fehler aufgetreten.',
        'An error occured when saving.'),{19}
        ('Beim Laden der Partie ist ein Fehler aufgetreten.',
        'An error occured when loading.'),{20}
        ('Partie wurde gendert.' + #13 + 'Speichern?',
        'Game was changed.' + #13 + 'Save?') {21}
        );


function  LOGetMess(i : integer) : string;
procedure LOSaveMenuStrings;
procedure LOSaveDataBaseWinStrings(f : TMDIDatabase);
procedure LOSavePGNWinStrings(f : TMDIPGN);
procedure LOSaveBrettWinStrings(f : TMDIBrett);
procedure LOLoadMenuStrings(lng : integer);
procedure LOLoadDataBaseWinStrings(lng : integer; f : TMDIDatabase);
procedure LOLoadPGNWinStrings(lng : integer; f : TMDIPGN);
procedure LOLoadBrettWinStrings(lng : integer; f : TMDIBrett);
procedure LOLoadSaveWinStrings(lng : integer; f : TfPGNSave);
procedure LOLoadCommentWinStrings(lng : integer; f : TKomm);
procedure LOLoadCutWinStrings(lng : integer; f : TSchneide);
procedure LOLoadAboutWinStrings(lng : integer; f : TAboutbox);

implementation

Var LOmPartien, LOmPartienH, LOmOptions, LOmOptionsH, LOWindow1, LOWindow1H, LOInfo, LOInfoH,
    LOmOpenPGN, LOmOpenPGNH, LOmHistory, LOmHistoryH, LOmGameOpen, LOmGameOpenH,
    LOmClose, LOmCloseH, LOmExit, LOmExitH, LOmFRC, LOmFRCH,
    LOmEnglish, LOmEnglishH, LOmTon, LOmTonH, LOmAnimation, LOmAnimationH,
    LOmKoord, LOmKoordH, LOWindowCascadeItem, LOWindowCascadeItemH,
    LOWindowTileItem, LOWindowTileItemH, LOWindowArrangeItem, LOWindowArrangeItemH,
    LOWindowMinimizeItem, LOWindowMinimizeItemH, LObStopH,
    LODBCaption, LODBListboxH,
    LOPGNNr, LOPGNSpieler, LOPGNQuelle, LOPGNJahr, LOPGNErgebnis, LOPGNHeaderH,
    LOPGNLabel17, LOPGNLabel19, LOPGNrbWeiss, LOPGNrbSchwarz, LOPGNrbBeide,
    LOPGNcbZeitraum, LOPGNcbPosition, LOPGNbPosition, LOPGNbEmpty, LOPGNbFilter,
    LOPGNsbOpenH, LOPGNsbFilterH,
    LOPGNsbDragInsertH, LOPGNbPrintH, LOPGNsbDeleteGameH,
    LOPGNsbDeleteDatabaseH,
    LOBrettmDiaCopy, LOBrettmDiaCopyH, LOBrettmFENCopy, LOBrettmFENCopyH,
    LOBrettmPrint, LOBrettmPrintH, LOBrettmAufbauen, LOBrettmAufbauenH,
    LOBrettmInsertFEN, LOBrettmInsertFENH, LOBrettmDrehen, LOBrettmDrehenH,
    LOBrettmMessages, LOBrettmMessagesH, LOBrettBlind1, LOBrettBlind1H, LOBrettNichts1,
    LOBrettNichts1H,  LOBrettmPGNCopy1, LOBrettmPGNCopy1H, LOBrettmPGNInsert,
    LOBrettmPGNInsertH, LOBrettmFont, LOBrettmFontH, LOBrettmFontComm, LOBrettmFontCommH,
    LOBrettNotation1H, LOBrettsbSaveH, LOBrettsbReplaceH, LOBrettmGameDataH,
    LOBrettbNewH, LOBrettbPrevH, LOBrettbNextH, LOBrettbUndoH, LOBrettbCutH, LOBrettbDeleteH,
    LOBrettmAufwertenH, LOBrettbCommentH, LOBrettsbAnalyseH, LOBrettsbPlayH, LOBrettsbPrevH,
    LOBrettsbBackH, LOBrettsbAheadH, LOBrettsbNextH,  LOBrettlTiefeH, LOBretttbTiefeH,
    LOODCaption, LOODFilter,
    LOsSaveQuestion, LOsSpeicherfehler, LOsLadeFehler
     : string;

function  LOGetMess(i : integer) : string;
begin
  Result := 'Error';
  if i > LO_MessMax - 1 then exit;
  if LO_lng > LO_MessDim - 1 then exit;
  Result := LOMess[i, LO_lng];
end;

procedure LOSaveMenuStrings;
begin
  if LOmPartien = '' then with MainForm do begin
    LOmPartien := mPartien.Caption;
    LOmPartienH := mPartien.Hint;
    LOmOptions := mOptions.Caption;
    LOmOptionsH := mOptions.Hint;
    LOWindow1 := Window1.Caption;
    LOWindow1H := Window1.Hint;
    LOInfo := HelpAboutItem.Caption;
    LOInfoH := HelpAboutItem.Hint;
    LOmOpenPGN := mOpenPGN.Caption;
    LOmOpenPGNH := mOpenPGN.Hint;
    LOmHistory := mHistory.Caption;
    LOmHistoryH := mHistory.Hint;
    LOmGameOpen := mGameOpen.Caption;
    LOmGameOpenH := mGameOpen.Hint;
    LOmClose := mClose.Caption;
    LOmCloseH := mClose.Hint;
    LOmExit := mExit.Caption;
    LOmExitH := mExit.Hint;
    LOmFRC := mFRC.Caption;
    LOmFRCH := mFRC.Hint;
    LOmEnglish := mEnglish.Caption;
    LOmEnglishH := mEnglish.Hint;
    LOmTon := mTon.Caption;
    LOmTonH := mTon.Hint;
    LOmAnimation := mAnimation.Caption;
    LOmAnimationH := mAnimation.Hint;
    LOmKoord := mKoord.Caption;
    LOmKoordH := mKoord.Hint;
    LOWindowCascadeItem := WindowCascadeItem.Caption;
    LOWindowCascadeItemH := WindowCascadeItem.Hint;
    LOWindowTileItem := WindowTileItem.Caption;
    LOWindowTileItemH := WindowTileItem.Hint;
    LOWindowArrangeItem := WindowArrangeItem.Caption;
    LOWindowArrangeItemH := WindowArrangeItem.Hint;
    LOWindowMinimizeItem := WindowMinimizeItem.Caption;
    LOWindowMinimizeItemH := WindowMinimizeItem.Hint;
    LOODCaption := Opendialog.Title;
    LOODFilter := Opendialog.Filter;
    LObStopH := bStop.Hint;
  end;
end;

procedure LOSaveDataBaseWinStrings(f : TMDIDatabase);
begin
  if LODBCaption = '' then with f do begin
    LODBCaption := Caption;
    LODBListboxH := lbDatabase.Hint;
  end;
end;

procedure LOSaveBrettWinStrings(f : TMDIBrett);
begin
  if LOBrettmDiaCopy = '' then with f do begin
    LOBrettmDiaCopy := mDiaCopy.Caption;
    LOBrettmDiaCopyH := mDiaCopy.Hint;
    LOBrettmFENCopy := mFENCopy.Caption;
    LOBrettmFENCopyH := mFENCopy.Hint;
    LOBrettmPrint := mPrint.Caption;
    LOBrettmPrintH := mPrint.Hint;
    LOBrettmAufbauen := mAufbauen.Caption;
    LOBrettmAufbauenH := mAufbauen.Hint;
    LOBrettmInsertFEN := mInsertFEN.Caption;
    LOBrettmInsertFENH := mInsertFEN.Hint;
    LOBrettmDrehen := mDrehen.Caption;
    LOBrettmDrehenH := mDrehen.Hint;
    LOBrettmMessages := mMessages.Caption;
    LOBrettmMessagesH := mMessages.Hint;
    LOBrettBlind1 := Blind1.Caption;
    LOBrettBlind1H := Blind1.Hint;
    LOBrettNichts1 := Nichts1.Caption;
    LOBrettNichts1H := Nichts1.Hint;
    LOBrettmPGNCopy1 := mPGNCopy1.Caption;
    LOBrettmPGNCopy1H := mPGNCopy1.Hint;
    LOBrettmPGNInsert := mPGNInsert.Caption;
    LOBrettmPGNInsertH := mPGNInsert.Hint;
    LOBrettmFont := mFont.Caption;
    LOBrettmFontH := mFont.Hint;
    LOBrettmFontComm := mFontComm.Caption;
    LOBrettmFontCommH := mFontComm.Hint;
    LOBrettNotation1H := Notation1.Hint;
    LOBrettsbSaveH := sbSave.Hint;
    LOBrettsbReplaceH := sbReplace.Hint;
    LOBrettmGameDataH := mGameData.Hint;
    LOBrettbNewH := bNew.Hint;
    LOBrettbPrevH := bPrev.Hint;
    LOBrettbNextH := bNext.Hint;
    LOBrettbUndoH := bUndo.Hint;
    LOBrettbCutH := bCut.Hint;
    LOBrettbDeleteH := bDelete.Hint;
    LOBrettmAufwertenH := mAufwerten.Hint;
    LOBrettbCommentH := bComment.Hint;
    LOBrettsbAnalyseH := sbAnalyse.Hint;
    LOBrettsbPlayH := sbPlay.Hint;
    LOBrettsbPrevH := sbPrev.Hint;
    LOBrettsbBackH := sbBack.Hint;
    LOBrettsbAheadH := sbAhead.Hint;
    LOBrettsbNextH := sbNext.Hint;
    LOBrettlTiefeH := lTiefe.Hint;
    LOBretttbTiefeH := tbTiefe.Hint;
  end;
end;

procedure LOSavePGNWinStrings(f : TMDIPGN);
begin
  if LOPGNNr = '' then with f do begin
    LOPGNNr := HeaderControl.Sections[0].Text;
    LOPGNSpieler := HeaderControl.Sections[1].Text;
    LOPGNQuelle := HeaderControl.Sections[2].Text;
    LOPGNJahr := HeaderControl.Sections[3].Text;
    LOPGNErgebnis := HeaderControl.Sections[4].Text;
    LOPGNHeaderH := HeaderControl.Hint;
    LOPGNLabel17 := Label17.Caption;
    LOPGNLabel19 := Label19.Caption;
    LOPGNrbWeiss := rbWeiss.Caption;
    LOPGNrbSchwarz := rbSchwarz.Caption;
    LOPGNrbBeide := rbBeide.Caption;
    LOPGNcbZeitraum := cbZeitraum.Caption;
    LOPGNcbPosition := cbPosition.Caption;
    LOPGNbPosition := bPosition.Caption;
    LOPGNbEmpty := bEmpty.Caption;
    LOPGNbFilter := bFilter.Caption;
    LOPGNsbOpenH := sbOpen.Hint;
    LOPGNsbFilterH := sbFilter.Hint;
    LOPGNsbDragInsertH := sbDragInsert.Hint;
    LOPGNbPrintH := bPrint.Hint;
    LOPGNsbDeleteGameH := sbDeleteGame.Hint;
    LOPGNsbDeleteDatabaseH := sbDeleteDatabase.Hint;
  end;
end;

procedure LOLoadMenuStrings(lng : integer);
begin
  with Mainform do Case lng of
    LO_German : begin
                  mPartien.Caption := LOmPartien;
                  mPartien.Hint := LOmPartienH;
                  mOptions.Caption := LOmOptions;
                  mOptions.Hint := LOmOptionsH;
                  Window1.Caption := LOWindow1;
                  Window1.Hint := LOWindow1H;
                  HelpAboutItem.Caption := LOInfo;
                  HelpAboutItem.Hint := LOInfoH;
                  mOpenPGN.Caption := LOmOpenPGN;
                  mOpenPGN.Hint := LOmOpenPGNH;
                  mHistory.Caption := LOmHistory;
                  mHistory.Hint := LOmHistoryH;
                  mGameOpen.Caption := LOmGameOpen;
                  mGameOpen.Hint := LOmGameOpenH;
                  mClose.Caption := LOmClose;
                  mClose.Hint := LOmCloseH;
                  mExit.Caption := LOmExit;
                  mExit.Hint := LOmExitH;
                  mFRC.Caption := LOmFRC;
                  mFRC.Hint := LOmFRCH;
                  mEnglish.Caption := LOmEnglish;
                  mEnglish.Hint := LOmEnglishH;
                  mTon.Caption := LOmTon;
                  mTon.Hint := LOmTonH;
                  mAnimation.Caption := LOmAnimation;
                  mAnimation.Hint := LOmAnimationH;
                  mKoord.Caption := LOmKoord;
                  mKoord.Hint := LOmKoordH;
                  WindowCascadeItem.Caption := LOWindowCascadeItem;
                  WindowCascadeItem.Hint := LOWindowCascadeItemH;
                  WindowTileItem.Caption := LOWindowTileItem;
                  WindowTileItem.Hint := LOWindowTileItemH;
                  WindowArrangeItem.Caption := LOWindowArrangeItem;
                  WindowArrangeItem.Hint := LOWindowArrangeItemH;
                  WindowMinimizeItem.Caption := LOWindowMinimizeItem;
                  WindowMinimizeItem.Hint := LOWindowMinimizeItemH;
                  Opendialog.Title := LOODCaption;
                  Opendialog.Filter := LOODFilter;
                  bStop.Hint := LObStopH;
                end;
    LO_English: begin
                  mPartien.Caption := '&Games';
                  mPartien.Hint := '';
                  mOptions.Caption := '&Options';
                  mOptions.Hint := '';
                  Window1.Caption := '&Window';
                  Window1.Hint := '';
                  HelpAboutItem.Caption := '&Info';
                  HelpAboutItem.Hint := '';
                  mOpenPGN.Caption := '&Open';
                  mOpenPGN.Hint := '|Open PGN-file or create a new one';
                  mHistory.Caption := '&History';
                  mHistory.Hint := 'Last 8 PGN-files';
                  mGameOpen.Caption := '&New game';
                  mGameOpen.Hint := 'Create a new game';
                  mClose.Caption := '&Close window';
                  mClose.Hint := 'Close actual window';
                  mExit.Caption := '&Exit';
                  mExit.Hint := 'Close application';
                  mFRC.Caption := '&Fischer-Random-Chess';
                  mFRC.Hint := 'Activate or deactivate Fischer-Random-Chess option';
                  mEnglish.Caption := '&English';
                  mEnglish.Hint := 'Activate or deactivate english language';
                  mTon.Caption := '&Beep';
                  mTon.Hint := 'Activate or deactivate beep';
                  mAnimation.Caption := '&Animation';
                  mAnimation.Hint := 'Activate or deactivate move animation';
                  mKoord.Caption := '&Coordinates';
                  mKoord.Hint := 'Coordinates visible or invisible';
                  WindowCascadeItem.Caption := 'Cascade';
                  WindowCascadeItem.Hint := 'Cascade';
                  WindowTileItem.Caption := 'Tile';
                  WindowTileItem.Hint := 'Tile';
                  WindowArrangeItem.Caption := 'Arrange';
                  WindowArrangeItem.Hint := 'Arrange';
                  WindowMinimizeItem.Caption := 'Minimize';
                  WindowMinimizeItem.Hint := 'Minimize';
                  Opendialog.Title := 'Please choose PGN-file';
                  Opendialog.Filter := 'PGN-files|*.pgn|All files (*.*)|*.*';
                  bStop.Hint := 'Cancel';
                end;
  end;
end;

procedure LOLoadDataBaseWinStrings(lng : integer; f : TMDIDatabase);
begin
  with f do Case lng of
    LO_German : begin
                  Caption := LODBCaption;
                  lbDatabase.Hint := LODBListboxH;
                end;
    LO_English: begin
                  Caption := 'Last PGN-files';
                  lbDatabase.Hint := '|This list accepts Drag and Drop';
                end;
  end;
end;

procedure LOLoadPGNWinStrings(lng : integer; f : TMDIPGN);
begin
  with f do Case lng of
    LO_German : begin
                  HeaderControl.Sections[0].Text := LOPGNNr;
                  HeaderControl.Sections[1].Text := LOPGNSpieler;
                  HeaderControl.Sections[2].Text := LOPGNQuelle;
                  HeaderControl.Sections[3].Text := LOPGNJahr;
                  HeaderControl.Sections[4].Text := LOPGNErgebnis;
                  HeaderControl.Hint := LOPGNHeaderH;
                  Label17.Caption := LOPGNLabel17;
                  Label19.Caption := LOPGNLabel19;
                  rbWeiss.Caption := LOPGNrbWeiss;
                  rbSchwarz.Caption := LOPGNrbSchwarz;
                  rbBeide.Caption := LOPGNrbBeide;
                  cbZeitraum.Caption := LOPGNcbZeitraum;
                  cbPosition.Caption := LOPGNcbPosition;
                  bPosition.Caption := LOPGNbPosition;
                  bEmpty.Caption := LOPGNbEmpty;
                  bFilter.Caption := LOPGNbFilter;
                  sbOpen.Hint := LOPGNsbOpenH;
                  sbFilter.Hint := LOPGNsbFilterH;
                  sbDragInsert.Hint := LOPGNsbDragInsertH;
                  bPrint.Hint := LOPGNbPrintH;
                  sbDeleteGame.Hint := LOPGNsbDeleteGameH;
                  sbDeleteDatabase.Hint := LOPGNsbDeleteDatabaseH;

                  hNotation.English := false;
                  SearchBrett.English := false;
                end;
    LO_English: begin
                  HeaderControl.Sections[0].Text := 'Nr.';
                  HeaderControl.Sections[1].Text := 'Players';
                  HeaderControl.Sections[2].Text := 'Event';
                  HeaderControl.Sections[3].Text := 'Date';
                  HeaderControl.Sections[4].Text := 'Result';
                  HeaderControl.Hint := '|Sort...';
                  Label17.Caption := 'Player:';
                  Label19.Caption := 'Event:';
                  rbWeiss.Caption := 'White';
                  rbSchwarz.Caption := 'Black';
                  rbBeide.Caption := 'Both';
                  cbZeitraum.Caption := 'Date:';
                  cbPosition.Caption := 'First position';
                  bPosition.Caption := 'Setup';
                  bEmpty.Caption := 'Clear';
                  bFilter.Caption := 'Filter';
                  sbOpen.Hint := 'Open|Open a PGN-file or create a new one';
                  sbFilter.Hint := 'Filter|Activate or deactivate filter';
                  sbDragInsert.Hint := 'Drag and Drop|Down = Games will be inserted at mouse position';
                  bPrint.Hint := 'Print|Print game with containing diagrams';
                  sbDeleteGame.Hint := 'Delete game';
                  sbDeleteDatabase.Hint := 'Delete database';

                  hNotation.English := true;
                  SearchBrett.English := true;
                end;
  end;
end;

procedure LOLoadBrettWinStrings(lng : integer; f : TMDIBrett);
begin
  with f do Case lng of
    LO_German : begin
                  mDiaCopy.Caption := LOBrettmDiaCopy;
                  mDiaCopy.Hint := LOBrettmDiaCopyH;
                  mFENCopy.Caption := LOBrettmFENCopy;
                  mFENCopy.Hint := LOBrettmFENCopyH;
                  mPrint.Caption := LOBrettmPrint;
                  mPrint.Hint := LOBrettmPrintH;
                  mAufbauen.Caption := LOBrettmAufbauen;
                  mAufbauen.Hint := LOBrettmAufbauenH;
                  mInsertFEN.Caption := LOBrettmInsertFEN;
                  mInsertFEN.Hint := LOBrettmInsertFENH;
                  mDrehen.Caption := LOBrettmDrehen;
                  mDrehen.Hint := LOBrettmDrehenH;
                  mMessages.Caption := LOBrettmMessages;
                  mMessages.Hint := LOBrettmMessagesH;
                  Blind1.Caption := LOBrettBlind1;
                  Blind1.Hint := LOBrettBlind1H;
                  Nichts1.Caption := LOBrettNichts1;
                  Nichts1.Hint := LOBrettNichts1H;
                  mPGNCopy1.Caption := LOBrettmPGNCopy1;
                  mPGNCopy1.Hint := LOBrettmPGNCopy1H;
                  mPGNInsert.Caption := LOBrettmPGNInsert;
                  mPGNInsert.Hint := LOBrettmPGNInsertH;
                  mFont.Caption := LOBrettmFont;
                  mFont.Hint := LOBrettmFontH;
                  mFontComm.Caption := LOBrettmFontComm;
                  mFontComm.Hint := LOBrettmFontCommH;
                  Notation1.Hint := LOBrettNotation1H;
                  sbSave.Hint := LOBrettsbSaveH;
                  sbReplace.Hint := LOBrettsbReplaceH;
                  mGameData.Hint := LOBrettmGameDataH;
                  bNew.Hint := LOBrettbNewH;
                  bPrev.Hint := LOBrettbPrevH;
                  bNext.Hint := LOBrettbNextH;
                  bUndo.Hint := LOBrettbUndoH;
                  bCut.Hint := LOBrettbCutH;
                  bDelete.Hint := LOBrettbDeleteH;
                  mAufwerten.Hint := LOBrettmAufwertenH;
                  bComment.Hint := LOBrettbCommentH;
                  sbAnalyse.Hint := LOBrettsbAnalyseH;
                  sbPlay.Hint := LOBrettsbPlayH;
                  sbPrev.Hint := LOBrettsbPrevH;
                  sbBack.Hint := LOBrettsbBackH;
                  sbAhead.Hint := LOBrettsbAheadH;
                  sbNext.Hint := LOBrettsbNextH;
                  lTiefe.Hint := LOBrettlTiefeH;
                  tbTiefe.Hint := LOBretttbTiefeH;

                  Notation1.English := false;
                  Brett1.English := false;
                  Minimax1.English := false;
                end;
    LO_English: begin
                  mDiaCopy.Caption := 'Copy diagram';
                  mDiaCopy.Hint := 'Copy diagram as BMP to clipboard';
                  mFENCopy.Caption := 'Copy FEN';
                  mFENCopy.Hint := 'Copy position as FEN to clipboard';
                  mPrint.Caption := 'Print diagramm';
                  mPrint.Hint := '';
                  mAufbauen.Caption := 'Setup';
                  mAufbauen.Hint := 'Setup a new position';
                  mInsertFEN.Caption := 'Insert FEN';
                  mInsertFEN.Hint := 'Insert position as FEN from clipboard';
                  mDrehen.Caption := 'Rotate';
                  mDrehen.Hint := 'Rotate board';
                  mMessages.Caption := 'Messages';
                  mMessages.Hint := 'Activate or deactivate messages about 50-moves-rule etc.';
                  Blind1.Caption := 'Blind';
                  Blind1.Hint := 'Play with or without view of pieces';
                  Nichts1.Caption := 'Nothing';
                  Nichts1.Hint := '';
                  mPGNCopy1.Caption := 'Copy game';
                  mPGNCopy1.Hint := 'Copy game as PGN to clipboard';
                  mPGNInsert.Caption := 'Insert game';
                  mPGNInsert.Hint := 'Insert game as PGN from clipboard';
                  mFont.Caption := 'Font of moves';
                  mFont.Hint := 'Font of moves';
                  mFontComm.Caption := 'Font of commentary' ;
                  mFontComm.Hint := 'Font of commentary';
                  Notation1.Hint := '|Right mouse button for context menu';
                  sbSave.Hint := 'Append game|Choose database and append game';
                  sbReplace.Hint := 'Save game';
                  mGameData.Hint := 'Game info|Show game info and change it';
                  bNew.Hint := 'New game';
                  bPrev.Hint := 'Previous game';
                  bNext.Hint := 'Next game';
                  bUndo.Hint := 'Undo|Undo last delete action';
                  bCut.Hint := 'Cut moves';
                  bDelete.Hint := 'Delete variant';
                  mAufwerten.Hint := 'Revalorize variant';
                  bComment.Hint := 'Commentary|Insert commentary';
                  sbAnalyse.Hint := 'Analysis|Activate or deactivate analysis (Space to force move)';
                  sbPlay.Hint := 'Play / Analysis|Down = Computer reply after inserting move';
                  sbPrev.Hint := 'Go to previous variant';
                  sbBack.Hint := '|Previous move';
                  sbAhead.Hint := '|Next move';
                  sbNext.Hint := 'Go to next variant';
                  lTiefe.Hint := 'Max. depth';
                  tbTiefe.Hint := 'Max. depth';

                  Notation1.English := true;
                  Brett1.English := true;
                  Minimax1.English := true;
                end;
  end;
end;

procedure LOLoadAboutWinStrings(lng : integer; f : TAboutbox);
begin
  with f do Case lng of
    LO_English: begin
                  Copyright.Caption := 'Created w.';
                  Label1.Caption := 'Pictures of pieces are distributed under';
                  Label5.Caption := 'Analysis module is based on MINIMAX' + #13 + 'by Ch. Donninger and D. Steinwender';
                  lFischer.Caption := 'Fischer-Random-Chess-rules';
                  Label2.Caption := '( Do "Fischer-castling" with pressed <Strg>-button )';
                  Label3.Caption := 'Printing is only possible with installed font';
                  Label4.Caption := 'Optionally parameters:' + #13 + '"compochess.exe c:\xxx.pgn 0"' + #13 + '( = Load first game from file xxx.pgn )'; 
                end;
  end;
end;

procedure LOLoadCommentWinStrings(lng : integer; f : TKomm);
begin
  with f do Case lng of
    LO_English: begin
                  Caption := 'Insert commentary';
                  Button3.Caption := 'Insert diagram';
                  bCancel.Caption := 'Cancel';
                end;
  end;
end;

procedure LOLoadCutWinStrings(lng : integer; f : TSchneide);
begin
  with f do Case lng of
    LO_English: begin
                  Caption := 'Cut moves';
                  bCancel.Caption := 'Cancel';
                  rbVor.Caption := 'Cut next moves';
                  rbRueck.Caption := 'Cut previous moves';
                end;
  end;
end;

procedure LOLoadSaveWinStrings(lng : integer; f : TfPGNSave);
begin
  with f do Case lng of
    LO_English: begin
                  Caption := 'Game information';
                  Label1.Caption := 'White:';
                  Label3.Caption := 'Black:';
                  Label5.Caption := 'Event:';
                  Label10.Caption := 'Site:';
                  Label6.Caption := 'Year:';
                  Label8.Caption := 'Month:';
                  Label9.Caption := 'Day:';
                  Label11.Caption := 'Round:';
                  Label7.Caption := 'Commentary:';
                  GroupBox3.Caption := 'Result:';
                  rbKeinErgebnis.Caption := 'No result';
                  lFileName.Caption := 'Save to';
                  bCancel.Caption := 'Cancel';
                end;
  end;
end;

end.
