unit Schach;
{--------------------------------------------------------------------------------------
*** Version 4.14 *** (1997-2000, von U. Auerswald)
Delphi-Komponenten zur Entwicklung von Schachprogrammen

Die Komponenten TBrett, TNotation und TPGN sind Public Domain.
Die Suchschleife der TMiniMax-Komponente basiert auf dem frei kopier- und vernderbaren
Lehrprogramm "MiniMax" von Ch. Donninger und D. Steinwender aus dem Buch "Schach am PC".
In Programmen, in denen diese Komponente verwendet wird, sollte darauf hingewiesen werden.


nderungen seit V.4.00 (04.07.99)
----------------------
* PGN.Pas: ECO-Feld wurde nicht gespeichert
* PGN.Pas: 'DeleteGame' - beim Partien lschen wurden zustzliche Leerzeilen eingefgt
* SchachProcs: 'CheckPGN' - Textdateien, die nur Leerzeilen enthielten, wurden als PGN-Datei abgelehnt


nderungen seit V.4.01 (12.07.99)
----------------------
* PGN.Pas: UpdateFileIndexe - bei Ersetzen der letzten Partie mu FilePositionE gendert werden
* Demoprogramm (BrettWin.Pas) - nach ndern der Partiedaten NotationRefresh


nderungen seit V.4.02 (22.07.99)
----------------------
* PGN.Pas: DoSaveGame, modus = pgnReplace - FilePositionE der ersetzten Partie mu aktual. werden


nderungen seit V.4.03 (15.08.99)
----------------------
* Notation.Pas: NeueStellung - Partiedaten.EventData werden nicht mehr zurckgesetzt
* Koordinaten am Aufbaubrett
* Notation.Pas: Kommentarfarbe einstellbar
* PGN.pas: Sortierfunktion


nderungen seit V.4.1 (08.09.99)
----------------------
* Notation.Pas: Hngte sich auf, wenn TNotation-Breite kleiner als 1 Buchstabe war und am Anfang als Kommentar ein Leerzeichen stand
* PGN.Pas: Lschen bei sortierter Liste funktionierte nicht richtig
* MiniMax.Pas: Wurde Suchschleife abgebrochen und neu gestartet, bevor erster Zug init. war, kam Schutzverletzung


nderungen seit V.4.11 (18.02.00)
----------------------
* Demo-Programm, Create-Ereignis: Anpassung von TBrett an die Windows-Einstellung "Groe Schriftarten"
* Notation.Pas: Eventuelle Angaben im PGN-Header, die TNotation nicht interpretiert, werden wieder mit abgespeichert
* Notation.Pas: Die Zugmarkierung wurde immer mit der Farbe clSilver berschrieben - jetzt wird die aktuell eingestellte Hintergrundfarbe verwendet
* MiniMax.Pas: Methode IsMatt eingefhrt, um bei Bedarf # zu schreiben

nderungen seit V.4.12 (25.02.00)
----------------------
* Notation.Pas: [Setup ...] wurde unter slRestData gefhrt und zustzlich noch einmal in Header gespeichert (bei Stellungen ungleich Ausgangsstellung)
* Notation.Pas: Vor Paint-Methode wurde nicht immer FirstLine und LastLine neu berechnet

nderungen seit V.4.13 (02.04.00)
----------------------
* Brett.pas: Aufruf eines ev. eingestellten Popup-Menus whrend der Zugeingabe wird verhindert
* Notation.pas: Bei Variante aufwerten wurden eventuelle Zugkommentare nicht mit getauscht


---------------------------------------------------------------------------------------}

{$B-}

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls;

procedure Register;

implementation

uses Brett, MiniMax, Notation, PGN;

procedure Register;
begin
  RegisterComponents('Schach', [TBrett]);
  RegisterComponents('Schach', [TMiniMax]);
{$IFDEF WIN32}
  RegisterComponents('Schach', [TNotation]);
  RegisterComponents('Schach', [TPGN]);
{$ENDIF}
end;

end.
